Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1685346 - [DOCS] Default router is 2 in openshift 4
Summary: [DOCS] Default router is 2 in openshift 4
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 4.1
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.1.0
Assignee: Kathryn Alexander
QA Contact: Hongan Li
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-05 02:12 UTC by jooho lee
Modified: 2019-04-15 13:25 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-08 14:21:33 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description jooho lee 2019-03-05 02:12:14 UTC
Document URL: 
https://docs.openshift.com/container-platform/4.0/machine_management/manually-scaling-machineset.html

Section Number and Name: 
Scaling a MachineSet manually

Describe the issue: 
~~~
The default installation creates only one router. If you scale down your cluster, the node that hosts the router pod might be removed. In this case, you temporarily cannot access the web console and some other resources. After the router pod is redeployed to a different node, service will be restored.
~~~

Suggestions for improvement: 


It says that default router is 1 but the default router is 2.
~~~
$ oc get pod -n openshift-ingress
NAME                              READY     STATUS    RESTARTS   AGE
router-default-6f585b86bc-gv2h8   1/1       Running   0          166m
router-default-6f585b86bc-p6pcq   1/1       Running   0          166m

$ oc get relicaset -n openshift-ingress
NAME                                        DESIRED   CURRENT   READY     AGE
replicaset.apps/router-default-6f585b86bc   2         2         2         166m
~~~

I deployed ocp4 with ./openshift-install-latest unreleased-master-490-g0ddac41932688237c599cc8a7231d624a08dfc29 which is the latest source of openshift installer as of today(2019/March/4)



Additional information:

Comment 1 Kathryn Alexander 2019-03-05 14:53:18 UTC
The PR's here: https://github.com/openshift/openshift-docs/pull/13982

If it's creating two routers, I think that we can remove the entire note.

Hongan Li, will you PTAL?

Comment 2 Hongan Li 2019-03-06 09:49:24 UTC
please see my comments in the PR

Comment 3 Kathryn Alexander 2019-03-07 15:52:08 UTC
Thank you! I've merged the change and am waiting for it to go live.

Comment 4 Kathryn Alexander 2019-03-08 14:21:33 UTC
This change is live.https://bugzilla.redhat.com/show_bug.cgi?id=1685346#


Note You need to log in before you can comment on or make changes to this bug.